kysdk.Process(3)

NAME
kysdk.Process - Get instantaneous detailed information of a process. Mainly used to get CPU usage of a process, get memory usage rate of a process, get process status, get port number occupied by a process, get process start time, get process running time, get CPU time of a process, get Command of a process, get owner of a process, get information of a process, and get all process information.

SYNOPSIS

Inherits kysdk.Base.

  Public Member Functions

def __init__ (self)
def getProcInfoCpuUsage (self, pid)
Get CPU usage of a process
def getProcInfoMemUsage (self, pid)
Get memory usage rate of a process
def getProcInfoStatus (self, pid)
Get process status
def getProcInfoPort (self, pid)
Get port number occupied by a process
def getProcInfoStartTime (self, pid)
Get process start time
def getProcInfoRunningTime (self, pid)
Get process running time
def getProcInfoCpuTime (self, pid)
Get CPU time of a process
def getProcInfoCmd (self, pid)
Get Command of a process
def getProcInfoUser (self, pid)
Get owner of a process
def getProcInfo (self, process_name)
Get information of a process
def getAllProcInfo (self)
Get all process information

  Additional Inherited Members

Detailed Description

Get instantaneous detailed information of a process. Mainly used to get CPU usage of a process, get memory usage rate of a process, get process status, get port number occupied by a process, get process start time, get process running time, get CPU time of a process, get Command of a process, get owner of a process, get information of a process, and get all process information.

Member Function Documentation

  def kysdk.Process.getAllProcInfo ( self)

Get all process information

Returns
    List of all processes' CPU usage, memory usage rate, status, port number occupation, start time, running time, CPU time, Command, and owner information

References kysdk.SessionBase.interface, and kysdk.Base.interface.

  def kysdk.Process.getProcInfo ( self, process_name)

Get information of a process

Parameters
    process_name Process name

Returns
    List of process information including CPU usage, memory usage rate, status, port number occupation, start time, running time, CPU time, Command, and owner information

References kysdk.SessionBase.interface, and kysdk.Base.interface.

  def kysdk.Process.getProcInfoCmd ( self, pid)

Get Command of a process

Parameters
    pid Process ID

Returns
    Process Command

References kysdk.SessionBase.interface, and kysdk.Base.interface.

  def kysdk.Process.getProcInfoCpuTime ( self, pid)

Get CPU time of a process

Parameters
    pid Process ID

Returns
    Process CPU time

References kysdk.SessionBase.interface, and kysdk.Base.interface.

  def kysdk.Process.getProcInfoCpuUsage ( self, pid)

Get CPU usage of a process

Parameters
    pid Process ID

Returns
    Process CPU usage

References kysdk.SessionBase.interface, and kysdk.Base.interface.

  def kysdk.Process.getProcInfoMemUsage ( self, pid)

Get memory usage rate of a process

Parameters
    pid Process ID

Returns
    Process memory usage rate

References kysdk.SessionBase.interface, and kysdk.Base.interface.

  def kysdk.Process.getProcInfoPort ( self, pid)

Get port number occupied by a process

Parameters
    pid Process ID

Returns
    Port number used by the process

References kysdk.SessionBase.interface, and kysdk.Base.interface.

  def kysdk.Process.getProcInfoRunningTime ( self, pid)

Get running time of a process

Parameters
    pid Process ID

Returns
    Process running time

References kysdk.SessionBase.interface, and kysdk.Base.interface.

  def kysdk.Process.getProcInfoStartTime ( self, pid)

Get start time of a process

Parameters
    pid Process ID

Returns
    Process start time

References kysdk.SessionBase.interface, and kysdk.Base.interface.

  def kysdk.Process.getProcInfoStatus ( self, pid)

Get process status

Parameters
    pid Process ID

Returns
    Process status

References kysdk.SessionBase.interface, and kysdk.Base.interface.

  def kysdk.Process.getProcInfoUser ( self, pid)

Get owner of a process

Parameters
    pid Process ID

Returns
    Process owner

References kysdk.SessionBase.interface, and kysdk.Base.interface.

Author

Generated automatically by Doxygen for kysdk.py from the source code.